package com.trs.ggzyexchange.enums;

public enum ClassIfy {
    /**
     * ES索引名称
     */
    ES_INDEX_SEARCH_PUBLIC_RESOURCE_DEAL("search_public_resource_deal", "搜索公开资源"),
    /**
     * 编码对照 --- 交易左侧类型编码
     */
    ENGINEERING_CONSTRUCTION("engineering_construction", "工程建设"),
    GOVERNMENT_PROCUREMENT("government_procurement", "政府采购"),
    LAND_MINERAL("land_mineral", "土地矿权"),
    NATURAL_RESOURCES("natural_resources", "自然资源"),
    STATE_PROPERTY("state_property", "国有产权"),
    VACCINE_TRADING("vaccine_trading", "疫苗交易"),
    OTHER_TRANSACTIONS("other_transactions", "其他交易"),

    /**
     * 编码对照 --- 上面公告类型
     */
    TENDER_ANNOUNCEMENT("tender_announcement", "招标公告"),
    CHANGE_ANNOUNCEMENT("change_announcement", "变更公告"),
    BIDDING_DOCUMENTS("bidding_documents", "招标文件"),
    CLARIFICATION_DOCUMENT("clarification_document", "答疑澄清文件"),
    OPEN_RECORD("open_record", "开标记录"),
    PUBLICITY_OF_BID_WINNER_CANDIDATES("publicity_of_bid_winner_candidates", "中标候选人公示"),
    ANNOUNCEMENT_OF_BID_WINNING_RESULTS("announcement_of_bid_winning_results", "中标结果公告"),
    CONTRACT_PUBLICITY("contract_publicity", "合同公示"),
    PERFORMANCE_PUBLICITY("performance_publicity", "履约公示"),
    TRANSACTION_EXCEPTION_ANNOUNCEMENT("transaction_exception_announcement", "交易异常公告"),
    TENDER_PLAN("tender_plan", "招标计划"),


    PREQUALIFICATION_ANNOUNCEMENT("prequalification_announcement", "采购/资格预审公告"),
    CORRECTION_ANNOUNCEMENT("correction_announcement", "更正公告"),
    BID_ANNOUNCEMENT("bid_announcement", "中标公告"),

    STATE_OWNED_PROPERTY_RIGHTS("state_owned_property_rights", "国有产权"),

    LISTING_DISCLOSURE("listing_disclosure", "挂牌披露/实物资产"),
    TRANSACTION_RESULTS("transaction_results", "交易结果/实物资产"),

    LISTING_DISCLOSURE_SHAREHOLDING("listing_disclosure_shareholding", "挂牌披露/股权"),
    TRANSACTION_RESULTS_SHAREHOLDING("transaction_results_shareholding", "交易结果/股权"),

    LAND_AND_MINERAL_RIGHTS("land_and_mineral_rights", "土地矿权"),
    TRANSFER_ANNOUNCEMENT("transfer_announcement", "出让公告"),
    TRANSACTION_PARCEL("transaction_parcel", "成交宗地/出让结果公告"),

    OTHER_TRANSACTIONS_ANNOUNCEMENT("other_transactions_announcement", "其他交易"),
    OTHER_TRANSACTION_ANNOUNCEMENT("other_transaction_announcement", "交易公告"),
    OTHER_TRANSACTION_RESULTS("other_transaction_results", "交易结果"),

    VACCINUM("vaccinum", "疫苗交易"),
    VACCINUM_TRANSACTION_ANNOUNCEMENT("vaccinum_transaction_announcement", "交易公告"),
    VACCINUM_TRANSACTION_RESULTS("vaccinum_transaction_results", "交易结果")

    ;

    /**
     * 编码标识
     */
    String code;
    /**
     * 名称
     */
    String name;

    ClassIfy(String code, String name) {
        this.name = name;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
